[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Static link question



I applied the "-all-static" flag to my LDFLAGS variable, and that seemed to do exactly what I wanted. The problem is that there don't seem to be static versions of "librpmdb-4.1" or "librpmio-4.1". So when librpm.la calls in rpmdb and rpmio as dependencies, it does so by adding "-lrpmdb-4.1" and "-lrpmio-4.1" to the compile command-line. This is normally fine, except that there is no librpmdb-4.1.a or librpmio-4.1.a on my system? I using RedHat 8.0's rpm and rpm-devel packages. What do I need to do to get static version of these libraries on my system?

ahp

Attachment: PGP.sig
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index] []